io.netty.handler.codec.mqtt

## Class MqttMessageBuilders.UnsubAckBuilder

- java.lang.Object
- - io.netty.handler.codec.mqtt.MqttMessageBuilders.UnsubAckBuilder

Enclosing class:
  MqttMessageBuilders

    public static final class MqttMessageBuilders.UnsubAckBuilder
    extends Object

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`MqttMessageBuilders.UnsubAckBuilder` `addReasonCode(short reasonCode)`
`MqttMessageBuilders.UnsubAckBuilder` `addReasonCodes(Short... reasonCodes)`
`MqttUnsubAckMessage` `build()`
`MqttMessageBuilders.UnsubAckBuilder` `packetId(int packetId)`
`MqttMessageBuilders.UnsubAckBuilder` `packetId(short packetId)` Deprecated. use `packetId(int)` instead
`MqttMessageBuilders.UnsubAckBuilder` `properties(MqttProperties properties)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### packetId

    public MqttMessageBuilders.UnsubAckBuilder packetId(int packetId)

#### packetId

    @Deprecated
    public MqttMessageBuilders.UnsubAckBuilder packetId(short packetId)

Deprecated. use `packetId(int)` instead

#### properties

    public MqttMessageBuilders.UnsubAckBuilder properties(MqttProperties properties)

#### addReasonCode

    public MqttMessageBuilders.UnsubAckBuilder addReasonCode(short reasonCode)

#### addReasonCodes

    public MqttMessageBuilders.UnsubAckBuilder addReasonCodes(Short... reasonCodes)

#### build

    public MqttUnsubAckMessage build()